package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.common.ResultData;
import com.iformall.domain.po.WxMerchantBUser;

public interface WxMerchantBUserService {

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
	PageInfo<WxMerchantBUser> listAsPage(WxMerchantBUser record, Integer pageIndex, Integer pageSize);
	
	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxMerchantBUser getById(Long id);

    /**
     * 根据token获得实体
     *
     * @param token
     * @return
     */
    WxMerchantBUser getByToken(String token);

    /**
     * 根据appId,phone获得实体
     *
     * @param record
     * @return
     */
    WxMerchantBUser getBUserByAppId(WxMerchantBUser record);
    
        /**
     * 保存或更新实体
     *
     * @param record
     */
        Long saveOrUpdate(WxMerchantBUser record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);


    boolean hasphone(String phone, String tenantId);

    ResultData updatepwd(String appId, String phone, String code, String pwd);

}
